Bug 75048 - Setup script should assign PIDFILE based on the ETH device
Setup script should assign PIDFILE based on the ETH device
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 19:15 EDT by Andrew Smith
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Smith 2002-10-03 19:15:54 EDT
Description of Problem:
The setup script specifies a single PIDFILE file name for ALL ifcfg-pppX files 
it creates.

Version-Release number of selected component (if applicable):


How Reproducible:
Every Time

Steps to Reproduce:
1. Setup more than one ADSL connection

Actual Results:
terrible things happen when you try to connect the second connection :-)

Expected Results:
terrible things shouldn't happen :-)

Additional Information:
Currently line 415:
$ECHO "PIDFILE=/var/run/pppoe-adsl.pid" >>$CONFIG
Should be:
$ECHO "PIDFILE=/var/run/pppoe-adsl-$ETH.pid" >>$CONFIG

This is the same in 7.3 (don't know about other earlier versions)
Comment 1 Bill Nottingham 2006-08-07 14:50:41 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:13:22 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.